/* ************************************************************** */
/* SASS VARS                                                      */
/* ************************************************************** */

/* Colors */
$default-color: #405F71;
$backgroud-color: #FFFFFF;
$shadow-color: #DDDDDD;
$border-color: #DDDDDD;
$link-color: #4B7A93;
$link-color-hover: #1E7EB2;

/* TEXT */
$default-font-size: 12pt;
$default-text-shadow: #AAAAAA;

/* MENU */
$mainmenu-link-color: #6E9FB3;
$mainmenu-link-color-hover: #309AC5;
$mainmenu-color: #71A7A8;
$menu-height: 35px;

/* FORMS */
$form-color: #405F71;
$form-font-size: 10pt;
$button-font-size: 10pt;
$button-color: #BBCBD5;
$button-color-hover: #BBCBD5;
$button-border-color: #405E7D;
$button-border-color-hover: #516B86;
$button-backgroud-color: #405E7D;
$button-backgroud-color-hover: #516B86;
$input-color: #304651;
$input-border-color: #7ba1b7;
$input-padding: 10px 15px;
$input-margin: 10px 0px;



/* ************************************************************** */
/* SASS MIXINS                                                    */
/* ************************************************************** */

@mixin defaultLink($l-font-size: 10pt, $l-font-weight: bold, $l-color: #3C697E, $l-color-hover: #2279A2) {
    font-size: $l-font-size;
    font-weight: $l-font-weight;
    text-decoration: none;
    color: $l-color;
    &:hover {
        color: $l-color-hover;
    }
}

@mixin defaultForm( $frm-color: $form-color, 
                    $frm-font-size: $form-font-size, 
                    $frm-align: left, 
                    $frm-width: 500px, 
                    $frm-padding: 30px, 
                    $frm-margin:50px) {
    font-size: $frm-font-size;
    color: $frm-color;
    text-align: $frm-align;
    padding: $frm-padding;
    width: $frm-width;
    margin: $frm-margin auto;
    box-shadow: -10px 20px 30px $shadow-color;
    border-radius: 10px;
    border: 1px solid $border-color;
    background-color: $backgroud-color;
    clear: both;
}

@mixin defaultFormLabel($fl-font-size: $form-font-size + 2pt,
                        $fl-display: block,
                        $fl-text-shadow: null) {
    font-size: $fl-font-size;
    font-weight: bold;
    display: $fl-display;
    @if $fl-text-shadow != null {
        text-shadow: -1px 0 $fl-text-shadow, 0 1px $fl-text-shadow, 1px 0 $fl-text-shadow, 0 -1px $fl-text-shadow;
    }
}


@mixin defaultFormInput($fi-width: 400px, 
                        $fi-color:$input-color, 
                        $fi-border-color: $input-border-color, 
                        $fi-padding: $input-padding, 
                        $fi-margin: $input-margin,
                        $fi-display: block) {
    color: $fi-color;
    width: $fi-width;
    border: 1px solid $fi-border-color;
    border-radius: 5px;
    padding: $fi-padding;
    margin: $fi-margin;
    display: $fi-display;
}
        

@mixin defaultFormLink($fl-font-size: $form-font-size) {
    @include defaultLink($l-font-size: $fl-font-size);
    display: block;
    clear: both;
}

@mixin defaultButton(   $btn-color: $button-color, 
                        $btn-font-size: $button-font-size,
                        $btn-border-color: $button-border-color,
                        $btn-backgroud-color: $button-backgroud-color,
                        $btn-color-hover: $button-color-hover,
                        $btn-border-color-hover: $button-border-color-hover,
                        $btn-backgroud-color-hover: $button-backgroud-color-hover,
                        $btn-cursor: pointer) {
    color: $btn-color;
    font-size: $btn-font-size;
    padding: 10px 5px;
    border: 1px solid $btn-border-color;
    border-radius: 5px;
    font-weight: bold;
    padding: 10px;
    background-color: $btn-backgroud-color;
    display: block;
    margin-left: auto;
    transition: text-shadow 1s ease-in-out;
    &:hover {
        color: $btn-color-hover;
        border-color: $btn-border-color-hover;
        background-color: $btn-backgroud-color-hover;
        cursor: $btn-cursor;
        text-shadow: 0 0 20px darken($btn-backgroud-color-hover,10%), 0 0 5px darken($btn-backgroud-color-hover,30%);
        transition: text-shadow .5s ease-in-out;
    };
}

@mixin defaultContainer {
    color: $default-color;
    font-weight: normal;
    font-size: 10pt;
    font-family: Arial;
    padding: 10px;
    width: 900px;
    max-width: 900px;
    word-wrap: break-word;
    margin: 10px auto;
    border-radius: 10px;
    border: 1px solid $border-color;
    & a {
        @include defaultLink($l-font-weight: normal);
    }
}

@mixin defaultTable {
    width: 100%;
    padding: 10px;
    & tr td {
        border-bottom: 1px solid $border-color;
        word-wrap: break-word;
        word-break: break-all;
    }
    & a {
        @include defaultLink($l-font-size: 12pt);
    }
}

@mixin defaultTitle {
    margin: 0 auto;
    color: $default-color;
    font-weight: bold;
    font-size: 20pt;
    font-family: Arial;
    text-align: center;
    text-shadow: 0px 0px 1px darken($default-color,20%);
}

@mixin defaultHeader {
    color: $default-color;
    font-weight: bold;
    font-size: 10pt;
    font-family: Arial;
    text-align: left;
    padding: 10px;
}



/* ************************************************************** */
/* CSS                                                            */
/* ************************************************************** */

body {
    margin: 0px;
    background-color: #FFFFFF;
}


/* MENU */

#mainmenu {
    padding: 2px 20px;
    width: 100%;
    margin: 0px auto;
    margin-bottom: 30px;
    border-bottom: 1px solid lighten($mainmenu-color, 20%);
    box-shadow: 0px 2px 5px darken($mainmenu-color, 50%);
    background-color: $mainmenu-color;
    height: $menu-height;
    
}

#mainmenu ul li a {
    text-decoration: none;
    color: #22343f;
    text-align: center;
    font-weight: bold;
    font-size: 14pt;
    font-family: Arial;
}






/* FORMS */



.formcreate {
    @include defaultForm();
    font-family: Arial;

    & label {
        @include defaultFormLabel();
        text-transform: capitalize;
    }

    & input {
        @include defaultFormInput($fi-width: 400px);
    }

    & button {
        @include defaultButton();
    }

    & a {
        @include defaultFormLink();
    }
}

.formerror {
    @include defaultFormLabel($form-font-size);
    color: red;
}




/* GAME */

#cr-stage {
    /* margin: 0 auto; */
    border: 1px solid #000000;
}

.game {
    float: left;
}

.game-pontos {
    font-family: Arial;
    font-size: 12px;
    font-weight: bold;
    color: $default-color;
    float: left;
    display: block;
    border: 1px solid #EFEFEF;
    width: 200px;
}






/* FORUM */

.forum-title {
    @include defaultTitle;
}
.forum {
    @include defaultContainer;
}
.forum-table {
    @include defaultTable;
}
.forum-row {
    padding: 10px;
    font-weight: bold;
    font-size: 12pt;
}

.thread {
    @include defaultTable;
    @include defaultContainer;
}
.thread-title {
    @include defaultTitle;
}
.thread-header {
    @include defaultHeader;
}
.thread-row {
    border-top: 1px solid #DDDDDD;
}
.thread-message-user {
    color: darken($default-color, 10%);
    padding: 10px;
    width: 200px;
}
.thread-message {
    padding: 10px;
    text-align: left;
    border-left: 1px dashed #EEEEEE;
    word-wrap: break-word;
    word-break: break-all;
}
.thread-add-message {
    border-top: 1px solid #EEEEEE;
    padding: 10px;
    text-align: right;
    & textarea {
        color: #304651;
        width: 400px;
        border: 1px solid #7ba1b7;
        border-radius: 5px;
        padding: 10px 15px;
    }
    & button {
        @include defaultButton();
    }
}

